org.gradle.language.base

## Interface LanguageSourceSet

- All Superinterfaces:
    Buildable, Named
  All Known Subinterfaces:
    AssemblerSourceSet, CppSourceSet, CSourceSet, DependentSourceSet, HeaderExportingSourceSet, JavaSourceSet, ResourceSet, WindowsResourceSet

      @Incubating
      public interface LanguageSourceSet
      extends Named, Buildable

  A set of sources for a programming language.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SourceDirectorySet` | `getSource()` The source files.
    `void` | `source(Action<? super SourceDirectorySet> config)` Configure the sources

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getSource

          SourceDirectorySet getSource()

      The source files.

    - #### source

          void source(Action<? super SourceDirectorySet> config)

      Configure the sources